
From: Johannes Stezenbach <js@linuxtv.org>

Comment preliminary Pinnacle 300i changes to the mt352 driver.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/frontends/mt352.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/media/dvb/frontends/mt352.c~dvb-mt352-pinnacle-300i-comments drivers/media/dvb/frontends/mt352.c
--- 25/drivers/media/dvb/frontends/mt352.c~dvb-mt352-pinnacle-300i-comments	2005-03-21 20:57:22.000000000 -0800
+++ 25-akpm/drivers/media/dvb/frontends/mt352.c	2005-03-21 20:57:22.000000000 -0800
@@ -294,6 +294,8 @@ static int mt352_set_parameters(struct d
 	state->config->pll_set(fe, param, buf+8);
 
 #if 0 /* FIXME: should be catched elsewhere ... */
+	/* this dubious code which helped on some cards does not work for
+	 * the pinnacle 300i */
 	/* Only send the tuning request if the tuner doesn't have the requested
 	 * parameters already set.  Enhances tuning time and prevents stream
 	 * breakup when retuning the same transponder. */
@@ -435,6 +437,8 @@ static int mt352_read_status(struct dvb_
 {
 	struct mt352_state* state = (struct mt352_state*) fe->demodulator_priv;
 #if 1
+	/* the pinnacle 300i loses lock if the STATUS_x registers
+	 * are polled too often... */
 	int val;
 
 	if (0 != mt352_read_register(state, INTERRUPT_0)) {
_
